# Uses of Interface
org.apache.lucene.index.QueryTimeout

Packages that use QueryTimeout
Package
Description
org.apache.lucene.index
Code to maintain and access indices.
org.apache.lucene.search
Code to search indices.

## Uses of QueryTimeout in org.apache.lucene.index

Classes in org.apache.lucene.index that implement QueryTimeout
Modifier and Type
Class
Description
`class`
`QueryTimeoutImpl`
An implementation of `QueryTimeout` that can be used by the `ExitableDirectoryReader` class to time out and exit out when a query takes a long time to rewrite.
Methods in org.apache.lucene.index with parameters of type QueryTimeout
Modifier and Type
Method
Description
`static DirectoryReader`
ExitableDirectoryReader.`wrap(DirectoryReader in, QueryTimeout queryTimeout)`
Wraps a provided DirectoryReader.
Constructors in org.apache.lucene.index with parameters of type QueryTimeout
Modifier
Constructor
Description
``
`ExitableDirectoryReader(DirectoryReader in, QueryTimeout queryTimeout)`
Constructor
``
`ExitableFilterAtomicReader(LeafReader in, QueryTimeout queryTimeout)`
Constructor *
``
`ExitableSubReaderWrapper(QueryTimeout queryTimeout)`
Constructor *
``
`ExitableTerms(Terms terms, QueryTimeout queryTimeout)`
Constructor *
``
`ExitableTermsEnum(TermsEnum termsEnum, QueryTimeout queryTimeout)`
Constructor *

## Uses of QueryTimeout in org.apache.lucene.search

Methods in org.apache.lucene.search that return QueryTimeout
Modifier and Type
Method
Description
`QueryTimeout`
TimeLimitingKnnCollectorManager.`getQueryTimeout()`
Get the configured `QueryTimeout` for terminating graph and exact searches.
`QueryTimeout`
IndexSearcher.`getTimeout()`
Get the configured `QueryTimeout` for all searches that run through this `IndexSearcher`, or `null` if not set.
Methods in org.apache.lucene.search with parameters of type QueryTimeout
Modifier and Type
Method
Description
`void`
IndexSearcher.`setTimeout(QueryTimeout queryTimeout)`
Set a `QueryTimeout` for all searches that run through this `IndexSearcher`.
Constructors in org.apache.lucene.search with parameters of type QueryTimeout
Modifier
Constructor
Description
``
`TimeLimitingKnnCollectorManager(KnnCollectorManager delegate, QueryTimeout timeout)`